// Generated by CoffeeScript 1.8.0
(function() {
  var fs, prompt, utils;

  utils = require('./utils');

  fs = require('fs');

  prompt = require('prompt');

  module.exports = {
    readPassword: function(program) {
      var options;
      prompt.message = "";
      prompt.delimiter = "";
      options = [
        {
          name: 'password',
          description: 'New password:',
          hidden: true
        }, {
          name: 'rePassword',
          description: 'Re-type new password:',
          hidden: true
        }
      ];
      return prompt.get(options, function(err, result) {
        if (!err && result.password === result.rePassword) {
          program.args.push(result.password);
          return module.exports.finalize(program);
        } else {
          return console.error("\nPassword verification error.");
        }
      });
    },
    process: function(program) {
      if (program.args.length === 3) {
        return module.exports.readPassword(program);
      } else {
        return program.help();
      }
    },
    finalize: function(program) {
      var error;
      try {
        return module.exports.syncFile(program);
      } catch (_error) {
        error = _error;
        return console.error(error.message);
      }
    },
    syncFile: function(program) {
      var found, i, line, lines, newLines, passwordFile, realm, username, writeData, _i, _len;
      passwordFile = program.args[0];
      realm = program.args[1];
      username = program.args[2];
      writeData = utils.encode(program);
      found = false;
      newLines = [];
      if (!program.create) {
        if (!fs.existsSync(passwordFile)) {
          console.error("Cannot modify file " + passwordFile + "; use '-c' to create it.");
          return;
        }
        lines = (fs.readFileSync(passwordFile, 'UTF-8')).split("\n");
        for (i = _i = 0, _len = lines.length; _i < _len; i = ++_i) {
          line = lines[i];
          if ((line.indexOf("" + username + ":" + realm + ":")) === 0) {
            found = true;
            newLines.push(writeData);
            console.log("Changing password for user " + username + " in realm " + realm + ".");
          } else if (line) {
            newLines.push(line);
          }
        }
      }
      if (!found) {
        newLines.push(writeData);
        console.log("Adding password for user " + username + " in realm " + realm + ".");
      }
      return fs.writeFileSync(passwordFile, (newLines.join("\n")) + "\n", 'UTF-8');
    }
  };

}).call(this);
